import { SvelteComponent } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte';
export interface ComboboxItem<I extends {
    [key: string]: string;
}> extends ComboboxOptionProps<string> {
    infos?: I;
    items?: undefined;
}
export interface ComboboxItemGroup<I extends {
    [key: string]: string;
}> {
    label: string;
    key: string;
    items: ComboboxItem<I>[];
}
export interface Props<I extends {
    [key: string]: string;
}, M extends boolean> extends Omit<BaseFormGroupProps<HTMLInputAttributes & Omit<CreateComboboxProps<string>, 'selected' | 'defaultSelected' | 'open' | 'multiple'> & {}>, 'children'> {
    children?: Snippet<[ComboboxItem<I>]>;
    defaultSelected?: ComboboxSelected<M, string>;
    multiple?: M | boolean;
    selected?: ComboboxSelected<M, string>;
    open?: boolean;
    groupClass?: string;
    dense?: boolean;
    items: Array<ComboboxItem<I> | ComboboxItemGroup<I>>;
    noResult?: string | Snippet;
}
import { type ComboboxOptionProps, type ComboboxSelected, type CreateComboboxProps } from '@melt-ui/svelte';
import type { Snippet } from 'svelte';
declare class __sveltets_Render<I extends {
    [key: string]: string;
}, M extends boolean> {
    props(): Props<I, M>;
    events(): {} & {
        [evt: string]: CustomEvent<any>;
    };
    slots(): {};
}
export type ComboboxProps<I extends {
    [key: string]: string;
}, M extends boolean> = ReturnType<__sveltets_Render<I, M>['props']>;
export type ComboboxEvents<I extends {
    [key: string]: string;
}, M extends boolean> = ReturnType<__sveltets_Render<I, M>['events']>;
export type ComboboxSlots<I extends {
    [key: string]: string;
}, M extends boolean> = ReturnType<__sveltets_Render<I, M>['slots']>;
export default class Combobox<I extends {
    [key: string]: string;
}, M extends boolean> extends SvelteComponent<ComboboxProps<I, M>, ComboboxEvents<I, M>, ComboboxSlots<I, M>> {
}
export {};
