import { SvelteComponent } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type BaseFormGroupProps<T> = Omit<T, 'children'> & {
    for?: string | null;
    label: string | Snippet;
    labelGroup?: Snippet<[
        {
            class?: string;
            label: BaseFormGroupProps<T>['label'];
            for: BaseFormGroupProps<T>['for'];
        }
    ]>;
    required?: boolean;
    helpText?: string | Snippet;
    error?: boolean | null | string | Snippet;
    caution?: boolean | null | string | Snippet;
    success?: boolean | null | string | Snippet;
    children?: Snippet;
};
export type Props = Omit<BaseFormGroupProps<HTMLAttributes<HTMLDivElement>>, 'children'> & {
    children: Snippet<[
        {
            describedby: string | null;
            invalid: boolean;
            required: boolean | undefined;
            validation: boolean;
        }
    ]>;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type FormGroupProps = typeof __propDef.props;
export type FormGroupEvents = typeof __propDef.events;
export type FormGroupSlots = typeof __propDef.slots;
export default class FormGroup extends SvelteComponent<FormGroupProps, FormGroupEvents, FormGroupSlots> {
}
export {};
