import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = Omit<HTMLAttributes<HTMLDivElement>, 'title'> & {
    title: string | Snippet;
    message?: string | Snippet;
    color?: 'positive' | 'caution' | 'negative' | 'information';
    borderless?: boolean;
    inline?: boolean;
    timestamp?: string | Snippet;
    actions?: Snippet;
    dismissible?: boolean;
    closeLabel?: string;
    onclose?: (event: Event) => void;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type NotificationProps = typeof __propDef.props;
export type NotificationEvents = typeof __propDef.events;
export type NotificationSlots = typeof __propDef.slots;
export default class Notification extends SvelteComponent<NotificationProps, NotificationEvents, NotificationSlots> {
}
export {};
